;===========================================================================
; A Multi-Effects System
;===========================================================================
;  1. Simple Sine Wave
;  2. Pluck
;  4. Noise
;  5. Monosampler
;  6. Diskin
;  7. LFO
;  8. Distortion 2
;  9. Enhancer
; 10. Noise Gate
; 11. Compressor/Limiter/Expander
; 12. De-esser
; 13. Tube Amp Distortion
; 14. Feedback Generator
; 15. Low Pass Resonant Filter
; 16. Wah-Wah
; 17. Talk-Box
; 18. 3 Band Equalizer
; 19. Resonator
; 20. Vibrato
; 21. Tremelo
; 22. Pitch Shifter
; 23. Panner
; 24. Ring Modulator
; 30. Flanger
; 35. Chorus
; 37. Phasor
; 40. Stereo Delay
; 45. Reverb
; 46. Lyon's Reverb 1
;100. Mixer
;110. Clear channels

;---------------------------------------------------------------------------
; Waveforms
;---------------------------------------------------------------------------
; Sine Wave
f1 0 8192 10 1

; Triangle Wave -1 to 1
f2 0 8192 7  -1  4096 1 4096 -1

; Triangle Wave 0 to 1
f4 0 8192 7 0 4096 1 4096 0

; Tube Distortion
f5 0 8192 7 -.8 934 -.79 934 -.77 934 -.64 1034 -.48 520 .47 2300 .48 1536 .48

;---------------------------------------------------------------------------
; Talk-Box
;---------------------------------------------------------------------------
;  Sta  Dur  Pitch  OutCh
i6 0    2    .5     1

; Tube Distortion
f5 0 8192 7 -.8 934 -.79 934 -.77 934 -.64 1034 -.48 520 .47 2300 .48 1536 .48

; Distortion
;   Sta  Dur  PreGain  PostGain  DutyOffset  SlopeShift  InCh  OutCh
i13 0    2    .5       1         1           1           1     2

; Talk-Box

;Formants 0="ee", 1="aah", 2="oo", 3="aw", 4="ae"
;Male
f11 0 16 -2  270 2290 3010 730 1090 2440 300 870 2240 570 840 2410 660 1720 2410 0
;Female
;f11 12 16 -2  310 2790 3310 850 1220 2810 370 950 2670 590 920 2710 760 2050 2850 0
;Child
;f11 14 16 -2  370 3200 3730 1030 1370 3170 430 1170 3260 680 1060 3180 1010 2320 3320 0
;Amplitudes
f12 0 16 -2  -4 -24 -28 -1 -5 -28 -3 -19 -43 0 -7 -34 -1 -12 -22 0

;0="ee", 1="aah", 2="oo", 3="aw", 4="ae"
f10 0 8 -2 1 0 0 2 1 1 2 2

;   Sta  Dur  I-Table  F-Table  A-Table  InCh  OutCh
i17 0    2    10       11       12       2     3

; Mixer
;     Sta  Dur  Ch1  Gain  Pan  Ch2  Gain  Pan
i100  0    2    3    2     .5   0    0     0

; Clear Channels
;     Sta  Dur
i110  0    2
