; ************************************************************************
; Resonant Low-Pass Filter
;*************************************************************************

sr = 44100
kr  =  44100
ksmps =1
nchnls = 1


instr 1   ; Square Rezzy Synth

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .1*p6, .1*p3, p6, .2*p3, .5*p6, .7*p3, .2*p6
kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn    oscil   kamp, ifqc, 2
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 2   ; Sawtooth Rezzy Synth

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .1*p6, p3, p6
kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn    oscil   kamp, ifqc, 3
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 3   ; Pulse Width Modulation Rezzy Synth

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .4*p6, .3*p3, p6, .3*p3, .2*p6, .4*p3, p6
kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

;                   Amp            Freq   Table

      ksine    oscil 1.5,          ifqc/440, 1
      ksquare  oscil ifqc*ksine, ifqc,     2
      axn     oscil kamp,    ifqc+ksquare, 2
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 4   ; Sawtooth-Ramp Rezzy Synth

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .1*p6, p3, p6
kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

;                    Amp            Freq       Table
;      ksine    oscil 1,            ifqc/440,     1
;      ksquare  oscil ifqc*ksine,   ifqc,         2
      kpwm     oscil ifqc*.75,     ifqc,         5
      axn      oscil kamp,         ifqc+kpwm+ifqc*.25,    4

      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 5   ; Square Wave Synth with Distorted Resonance Note: This does not work.

idur  = p3
kamp  linseg 0, .01*p3, 1, .98*p3, 1, .01*p3, 0
ifqc  = cpspch(p5)
kres  linseg p7, .2*p3, .3*p7, .8*p3, .1*p7

kfco linseg .5*p6, .2*p3, p6, .5*p3, .2*p6, .3*p3, .1*p6
kb = 10/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn    oscil   p4, ifqc, 2
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)

      atemp tone axn, kfco

      aclip1 = (ayn-atemp)/50000
      aclip tablei aclip1, 6, 1, .5
      ayout = aclip*20000+atemp

      aynm2 = aynm1
      aynm1 = ayn

      out ayout*kamp
endin

instr 6   ; Sawtooth with Distorted Resonance

idur  = p3
kamp  linseg 0, .01*p3, 1, .98*p3, 1, .01*p3, 0
ifqc  = cpspch(p5)
kres  linseg p7, .5*p3, .2*p7, .5*p3, .1*p7
kfco linseg .5*p6, .2*p3, p6, .5*p3, .2*p6, .3*p3, .1*p6

kb = 10/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn    oscil   p4, ifqc, 3
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)

      atemp tone axn, kfco

      aclip1 = (ayn-atemp)/60000
      aclip tablei aclip1, 6, 1, .5
      ayout = aclip*20000+atemp

      aynm2 = aynm1
      aynm1 = ayn

      out ayout*kamp
endin

instr 7   ; PWM with Distorted Resonance: Does not work.

idur  = p3
kamp  linseg 0, .01*p3, 1, .98*p3, 1, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .7*p6, .2*p3, p6, .2*p3, .6*p6
kb = 1000/kfco/kres
kk = 100/kfco

aynm1 init 0
aynm2 init 0

      ksine    oscil 1.5,          ifqc/440, 1
      ksquare  oscil ifqc*ksine, ifqc,     2
      axn     oscil p4,    ifqc+ksquare, 2

      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)

      atemp tone axn, kfco

      aclip1 = (ayn-atemp)/60000
      aclip tablei aclip1, 6, 1, .5
      ayout = aclip*20000+atemp

      aynm2 = aynm1
      aynm1 = ayn

      out ayout*kamp
endin

instr 8   ; Ramp Rezzy Synth with LFO modulating filter

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco oscil .3*p6, 3, 3
kfco = kfco + .6*p6

kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn    oscil   kamp, ifqc, 7
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 9   ; Noise Rezzy Synth

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .1*p6, p3, p6
kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn    rand   kamp-kamp/2
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 10   ; Sample Rezzy Synth

idur  = p3
kamp  linseg 0, .01*p3, p4, .98*p3, p4, .01*p3, 0
ifqc  = cpspch(p5)
kres  = p7

kfco linseg .1*p6, p3, p6
kb = 1000/kfco/kres
kk = 10000/kfco

aynm1 init 0
aynm2 init 0

      axn  loscil kamp, ifqc, 8, 440
      ayn=((kb+2*kk)*aynm1-kk*aynm2+axn)/(1+kb+kk)
      aynm2 = aynm1
      aynm1 = ayn

      out ayn
endin

instr 11   ; Square Rezzy Synth

idur  = p3
iamp  = p4
ifqc  = cpspch(p5)
irez = p7

; Amplitude envelope
kaenv  linseg 0, .01*p3, 1, .98*p3, 1, .01*p3, 0

; Frequency Sweep
kfco linseg .1*p6, .5*p3, p6, .5*p3, .1*p6

; This relationship attempts to separate Freq from Res.
ka1 = 100/irez/sqrt(kfco)-1
ka2 = 1000/kfco

; Initialize Yn-1 & Yn-2 to zero
aynm1 init 0
aynm2 init 0

; Oscillator
  axn oscil iamp, ifqc, 7

; Replace the differential eq. with a difference eq.
  ayn = ((ka1+2*ka2)*aynm1-ka2*aynm2+axn)/(1+ka1+ka2)
  aynm2 = aynm1
  aynm1 = ayn

; Amp envelope and output
  aout = ayn * kaenv
  out aout

endin
