sr     =        44100
kr     =        4410
ksmps  =        10
nchnls =        2

instr 12 ; Midi controlled low pass resonant filter.

inn    notnum
iamp   ampmidi  20
iamp   =        iamp + 60    
itabl1 =        3
kfqc   cpsmidib
krez   midictrl 64
kfc1   midictrl 2
krez   =        krez/(inn+1)*20 + 1
kfco   ktone    kfc1, 100
kfco   =        kfco*8 + 20

; Amplitude envelope
kaenv1 linenr iamp, .01, .01, .01
kaenv2 linseg 0, .02, 1, .5, .5, .01, .5
kaenv  =      kaenv1*kaenv2

; This relationship attempts to separate Freq from Res.

ka1 = 1000/krez/kfco-1
ka2 = 100000/kfco/kfco
kb  = 1+ka1+ka2

; Oscillator
  axn1 oscil iamp, kfqc,      itabl1
  axn2 oscil iamp, kfqc*.4999,  itabl1
  axn3 oscil iamp, kfqc*1.001, itabl1
  axn = axn1+.7*axn2+.5*axn3

; Resonant Lowpass Filter
  ayn nlfilt axn/kb, (ka1+2*ka2)/kb, -ka2/kb, 0, 0, 1

; Amp envelope and output
  aout  =      ayn*kaenv
  aoutl =      aout
  gaoutr delayr .05
        delayw aout
  aout = aout + .5*gaoutr
   
  outs aoutl, gaoutr

endin
