;----------------------------------------------------------------
; Biquadratic Equalizer Filter
; Coded by Hans Mikelson November 1998
;----------------------------------------------------------------
sr=44100
kr=4410
ksmps=10
nchnls=2

;----------------------------------------------------------------
; Parametric Equalizer opcode
;----------------------------------------------------------------
        instr 15

ifc     =     p4             ; Center / Shelf
iq      =     p5             ; Quality factor sqrt(.5) is maximum slope with no resonance peak for shelf
iv      =     ampdb(p6)      ; Gain/Cut in dB
imode   =     p7

kfc     linseg  ifc*2, p3, ifc/2

asig    rand  5000                     ; Random number source for testing

aout    pareq asig, kfc, iv, iq, imode
        outs  aout, aout              ; Output the results

endin
