;-----------------------------------------------------------
; Terrain Mapping Instruments
; Coded by Hans Mikelson February-April, 1998
;-----------------------------------------------------------
;a0 0 16

f1 0 8192 10 1 ; Sine

; Mixer Tables
; 3=FadeIn, 5=FadeOut, 6=Const1, 7=Const.5
f3  0 1024 -7 0  1024 1           ; UpSaw/FadeIn/PanRL
f4  0 1024 -7 0  512 1 512 0      ; Tri/Pan RLR/Fade In&Out
f5  0 1024 -7 1  1024 0           ; DnSaw/FadeOut/PanLR
f6  0 1024 -7 1  1024 1           ; Const1/PanL
f7  0 1024 -7 .5 1024 .5          ; Const.5/PanC
f8  0 1024 -7 0  1024 0           ; Const0/PanR
f9  0 1024 -7 0  256 1 768 1      ; Voice Amp
f10 0 1024 -7 .5 256 .2 768 .8    ; Voice Pan CRL
f11 0 1024 -7 .5 256 .8 768 .2    ; Voice Pan CLR

;-----------------------------------------------------------
; Z=sin^2*(sqrt(X^2+Y^2))
;-----------------------------------------------------------
; Pulsing Circle
;   Sta  Dur  MaxR  MinR  Pch   ModRate  XOffset YOffset OutCh1  OutCh2
i1  0    8    16    2     6.00  .15      8       8       1       2
i1  +    .    32    2     5.00  .15      2       8       1       2

;    Sta  Dur  Amp    InCh1  InCh2  OutCh
i11  0    8    15000  1      2      20
i11  +    .    15000  1      2      20

; Mixer 3=FadeIn, 5=FadeOut, 6=Const1, 7=Const.5, 8=Const0
;    Sta   Dur   Amp  InCh  Pan  Fader
i95  0     8     1    20    5    4
i95  +     .     1    20    3    4

;   Sta  Dur  MaxR  MinR  Pch   ModRate  XOffset YOffset OutCh1  OutCh2
i1  2    3    5     3     8.07  .40      .       .       3       4
i1  +    2    .     .     8.03  .40      .       .       .       .
i1  .    1    .     .     8.00  .40      .       .       .       .

;    Sta  Dur  Amp    InCh1  InCh2  OutCh
i11  2    .24  2000   3      4      21
i11  +    .22  <      .      .      .
i11  .    .21  <      .      .      .
i11  .    .23  <      .      .      .
i11  .    .14  <      .      .      .
i11  .    .31  <      .      .      .
i11  .    .26  <      .      .      .
i11  .    .12  <      .      .      .
i11  .    .11  <      .      .      .
i11  .    .12  <      .      .      .
i11  .    .13  <      .      .      .
i11  .    .15  9000   .      .      .
i11  .    .13  <      .      .      .
i11  .    .22  <      .      .      .
i11  .    .22  <      .      .      .
i11  .    .32  <      .      .      .
i11  .    .15  <      .      .      .
i11  .    .23  <      .      .      .
i11  .    .23  <      .      .      .
i11  .    .15  <      .      .      .
i11  .    .15  <      .      .      .
i11  .    .14  <      .      .      .
i11  .    .32  <      .      .      .
i11  .    .25  2000   .      .      .

; Delay  Sta  Dur  Time  FeedBk  InCh  OutCh
i70      2    8    .25   .5      21    30

;    Sta   Dur   Amp  InCh  Pan  Fader
i95  2     6     1    30    3    4

;-----------------------------------------------------------
; Z=X-1/12*X^3-1/4*Y^2
;-----------------------------------------------------------
; Pulsing Circle
;   Sta  Dur  MaxR  MinR  Pch   ModRate  XOffset YOffset OutCh1  OutCh2
i1  6    .5   10    3     7.00  .5       7       0       5       6
i1  +    .    .     .     8.00  .        .       .       .       .
i1  .    .    .     .     7.09  .        .       .       .       .
i1  .    .    .     .     7.03  .        .       .       .       .
i1  .    .    .     .     7.00  .        .       .       .       .
i1  .    .    .     .     8.00  .        .       .       .       .
i1  .    .    .     .     7.07  .        .       .       .       .
i1  .    .    .     .     7.05  .        .       .       .       .
;
i1  .    .    .     .     7.00  .        .       .       .       .
i1  .    .    .     .     8.00  .        .       .       .       .
i1  .    .    .     .     7.09  .        .       .       .       .
i1  .    .    .     .     7.03  .        .       .       .       .
i1  .    .    .     .     7.00  .        .       .       .       .
i1  .    .    .     .     8.00  .        .       .       .       .
i1  .    .    .     .     7.07  .        .       .       .       .
i1  .    .    .     .     7.05  .        .       .       .       .

;    Sta  Dur  Amp    InCh1  InCh2  OutCh
i12  6    .5   2      5      6      22
i12  +    .    5      .      .      .
i12  .    .    6      .      .      .
i12  .    .    8      .      .      .
i12  .    .    10     .      .      .
i12  .    .    15     .      .      .
i12  .    .    30     .      .      .
i12  .    .    40     .      .      .
;
i12  .    .    30     .      .      .
i12  .    .    60     .      .      .
i12  .    .    30     .      .      .
i12  .    .    70     .      .      .
i12  .    .    50     .      .      .
i12  .    .    40     .      .      .
i12  .    .    60     .      .      .
i12  .    .    80     .      .      .

; Mixer 3=FadeIn, 5=FadeOut, 6=Const1, 7=Const.5, 8=Const0
;    Sta   Dur   Amp  InCh  Pan  Fader
i95  6     8     1    22    5    6

;-----------------------------------------------------------
; Z=-5*X/(X^2+Y^2+1)
;-----------------------------------------------------------
; Pulsing Circle
;   Sta  Dur  MaxR  MinR  Pch   ModRate  XOffset YOffset OutCh1  OutCh2
i1  11   2    8     3     9.00  .2       0       0       7       8
i1  11   2    8     3     9.03  .2       0       0       9       10
i1  11   2    8     3     8.07  .2       0       0       11      12
;
i1  14   2    8     3     9.00  .2       0       0       7       8
i1  14   2    8     3     9.07  .2       0       0       9       10
i1  14   2    8     3     8.10  .2       0       0       11      12

;    Sta  Dur  Amp    InCh1  InCh2  OutCh
i13  11   2    6000   7      8      23
i13  11   2    .      9      10     24
i13  11   2    .      11     12     25

i13  14   2    8000   7      8      23
i13  14   2    .      9      10     24
i13  14   2    .      11     12     25

; Mixer 3=FadeIn, 5=FadeOut, 6=Const1, 7=Const.5, 8=Const0
;    Sta   Dur   Amp  InCh  Pan  Fader
i95  11    5     1    23    5    10
i95  11    5     1    24    3    6
i95  11    5     1    25    5    11

i3  16  4    2000   8.00
i6  16  2    2000   7.00

;   Sta  Dur  Amp  Pch   WAmp  OutX  OutY  OutZ  OutW
i5  16   2    1000 6.00  10    1     2     3     4
i5  18   8     500 7.07  10    17    18    19    20
; 4 Space Planar Rotation
; Plane: 1=X-Y, 2=X-Z, 3=Y-Z, 4=X-W, 5=Y-W, 6=Z-W
;    Sta  Dur  Fqc  Phase  Plane  InX  InY  InZ  InW  OutX  OutY  OutZ  OutW
i51  16   2    0.08 0      1      1    2    3    4    5     6     7     8
i51  16   2    0.15 0      6      5    6    7    8    9     10    11    12
i51  16   2    0.05 0      5      9    10   11   12   13    14    15    16
;
i51  18   8    0.10 0      2      17   18   19   20   21    22    23    24
i51  18   8    0.05 0      4      21   22   23   24   25    26    27    28
i51  18   8    0.06 0      3      25   26   27   28   29    30    31    32
; Mixer
;    Sta  Dur  Amp  InCh1  InCh2
i100 16   2    1    14     16
i100 18   8    1    29     31

; Clear Zak
;     Sta  Dur
i110  16   2 

; 3 Space Planar Rotation
; 1=X-Y Plane, 2=X-Z Plane, 3=Y-Z Plane
;    Sta  Dur  Fqc  Phase  Plane  InX  InY  InZ  OutX  OutY  OutZ
;i50  0    4    1.5  0      2      1    2    3    4     5     6

;f4 0 1024 -7 .25 128 1.2 128 1 768 1 128 .25
;f5 0 1024 -7 1 1024 1
;   Sta  Dur  Amp    Pch   OutCh
;i7  0.0  2.0  8000   7.00  1
;i8  0.0  2  8000   9.00  2

;   Sta  Dur  Amp    Pch   ModDepth  ModRate  PBendTable
;i9  0.0  2.0  8000   7.00  3         .5      4

;   Sta  Dur  Amp    Pch   ModDepth  ModRate  ModPhase  PBendTable
; C
;i10  0.0  4.0  1000   6.00  16        .15     .47       5
;i10  .    .    .      7.00  16        .20     .55       .
;i10  .    .    .      7.07  16        .24     .62       .
;i10  .    .    .      8.00  16        .27     .70       .
;i10  .    .    .      8.04  16        .30     .80       .
; F
;i10  4.0  4.0  1000   6.05  16        .15     .47       5
;i10  .    .    .      7.05  16        .20     .55       .
;i10  .    .    .      7.09  16        .24     .62       .
;i10  .    .    .      8.00  16        .27     .70       .
;i10  .    .    .      8.05  16        .30     .80       .
; C
;i10  8.0  4.0  1000   6.00  16        .15     .47       5
;i10  .    .    .      7.00  16        .20     .55       .
;i10  .    .    .      7.07  16        .24     .62       .
;i10  .    .    .      8.00  16        .27     .70       .
;i10  .    .    .      8.03  16        .30     .80       .
; F
;i10 12.0  4.0  1000   6.04  16        .15     .47       5
;i10  .    .    .      7.04  16        .20     .55       .
;i10  .    .    .      7.10  16        .24     .62       .
;i10  .    .    .      8.00  16        .27     .70       .
;i10  .    .    .      8.07  16        .30     .80       .


